## puppet-module-openstack-extras 27.0.0

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx>=3.5.1 # BSD
openstackdocstheme>=2.2.7 # Apache-2.0

# This is required for the releasenotes build jobs
reno>=3.2.0 # Apache-2.0

## puppet-module-openstack-extras 13.1.0

=== debian/changelog ===
puppet-module-openstack-extras (13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Now using team+openstack@tracker.debian.org for maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jun 2018 16:32:05 +0200

puppet-module-openstack-extras (12.3.0-3) unstable; urgency=medium

  * Fix installation directory doesn't have "s".

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 17:01:17 +0200

puppet-module-openstack-extras (12.3.0-2) unstable; urgency=medium

  * Fixed install directory (Closes: #894124).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 23:26:36 +0200

puppet-module-openstack-extras (12.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #893568).

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Mar 2018 09:01:43 +0100

=== debian/control ===
Source: puppet-module-openstack-extras
Section: admin
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras.git
Homepage: https://github.com/openstack/puppet-openstack_extras

Package: puppet-module-openstack-extras
Architecture: all
Depends:
 puppet-common,
 puppet-module-puppetlabs-apt,
 puppet-module-puppetlabs-stdlib,
 ${misc:Depends},
Description: add useful utilities for composing and deploying OpenStack
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module is used to add useful utilities for composing and deploying
 OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-openstack_extras.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## puppet-module-openstack-extras 14.4.0

=== debian/changelog ===
puppet-module-openstack-extras (14.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:07:27 +0200

puppet-module-openstack-extras (14.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed dh optim.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2019 11:14:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 11),
  openstack-pkg-tools,
  python-all,
  python-pbr,
  python-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras.git
 Homepage: https://github.com/openstack/puppet-openstack_extras

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-openstack_extras.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

## puppet-module-openstack-extras 15.4.0

=== debian/changelog ===
puppet-module-openstack-extras (15.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:33:21 +0200

puppet-module-openstack-extras (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:36:40 +0200

puppet-module-openstack-extras (14.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Switched build-dependencies to Python 3 (Closes: #937366).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 11),
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
-Standards-Version: 4.3.0
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-openstack-extras.git
 Homepage: https://github.com/openstack/puppet-openstack_extras

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	echo "Do nothing..."
+
 override_dh_auto_install:
 	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/puppet-openstack_extras/tags .*/(\d[\d\.]+)\.tar\.gz

## puppet-module-openstack-extras 16.3.0

=== debian/changelog ===
puppet-module-openstack-extras (16.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:47:31 +0200

puppet-module-openstack-extras (16.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 14:05:48 +0200

puppet-module-openstack-extras (15.4.0-3) unstable; urgency=medium

  * Depends on puppet, not puppet-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 11:02:42 +0100

## puppet-module-openstack-extras 17.4.0

=== debian/changelog ===
puppet-module-openstack-extras (17.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:36:34 +0200

puppet-module-openstack-extras (17.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 14:09:25 +0200

## puppet-module-openstack-extras 19.3.0

=== debian/changelog ===
puppet-module-openstack-extras (19.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 14:02:29 +0200

puppet-module-openstack-extras (19.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 15:32:48 +0200

puppet-module-openstack-extras (18.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:39:54 +0200

puppet-module-openstack-extras (18.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 21:27:55 +0100

puppet-module-openstack-extras (18.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 20:50:23 +0100

## puppet-module-openstack-extras 20.3.0

=== debian/changelog ===
puppet-module-openstack-extras (20.3.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 05 Apr 2022 12:07:16 +0000

puppet-module-openstack-extras (20.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 14:05:51 +0200

puppet-module-openstack-extras (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:06:54 +0100

puppet-module-openstack-extras (20.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 23:29:56 +0100

puppet-module-openstack-extras (19.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 10:21:03 +0100

puppet-module-openstack-extras (19.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 11:05:21 +0200

## puppet-module-openstack-extras 21.0.0

=== debian/changelog ===
puppet-module-openstack-extras (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 23:42:57 +0200

## puppet-module-openstack-extras 22.0.0

=== debian/changelog ===
puppet-module-openstack-extras (22.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:27:27 +0200

puppet-module-openstack-extras (22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 12:16:00 +0200

## puppet-module-openstack-extras 23.0.0

=== debian/changelog ===
puppet-module-openstack-extras (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2023 14:29:06 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/puppet-openstack_extras/tags .*/(\d[brc\d\.]+)\.tar\.gz

## puppet-module-openstack-extras 24.0.1

=== debian/changelog ===
puppet-module-openstack-extras (24.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 18:10:28 +0200

puppet-module-openstack-extras (24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 17:17:24 +0200

## puppet-module-openstack-extras 25.0.0

=== debian/changelog ===
puppet-module-openstack-extras (25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 11:55:49 +0200

## puppet-module-openstack-extras 27.0.0

=== debian/changelog ===
puppet-module-openstack-extras (27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Oct 2025 12:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: puppet-module-openstack-extras
 Architecture: all
 Depends:
- puppet-common,
+ puppet,
  puppet-module-puppetlabs-apt,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},
